#!/bin/sh
#
# chkconfig: 345 90 01
# description: Starts and stops the SPLX daemons used to provide SPLX services.
#
# /etc/init.d/splxboot
#
### BEGIN INIT INFO
# Provides: splxboot
# Required-Start: cron
# X-UnitedLinux-Should-Start:
# Required-Stop:
# X-UnitedLinux-Should-Stop:
# Default-Start: 2 3 4 5
# Default-Stop:
# Short-Description: Trend Micro NAS Security
# Description: Starts and stops the SPLX daemons used to provide SPLX services.
### END INIT INFO

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/opt/TrendMicro/SProtectLinux/SPLX.util:/opt/TrendMicro/SProtectLinux/SPLX.vsapiapp
LD_LIBRARY_PATH=/opt/TrendMicro/SProtectLinux/SPLX.lib
export LD_LIBRARY_PATH
export PATH

TPUT=`which tput`

if [ -n "$TPUT" -a -z "${BOOTUP}" ]; then
    RED=`$TPUT setaf 1`
    GREEN=`$TPUT setaf 2`
    YELLOW=`$TPUT setaf 3`
    NORMAL=`$TPUT op`
else
    RED=
    GREEN=
    YELLOW=
    NORMAL=
fi

log_msg() {
    echo -n -e "$@"
}
log_msg_ok() {
    echo -n -e "${GREEN}$@${NORMAL}"
}
log_error_msg() {
    echo -n -e "${RED}$@${NORMAL}"
}

reset_log_level () {
    xmlet Configuration UserDebugLevel -s 1
    if [ "$?" = "1" ]; then
        return 1
    fi
    xmlet Configuration KernelDebugLevel -s 0
    if [ "$?" = "1" ]; then
        return 1
    fi
    xmlet ActiveUpdate AUDebugLevel -s 5
    if [ "$?" = "1" ]; then
        return 1
    fi
    return 0
}

case "$1" in
    start)
        log_msg "Reset TMNAS debug log level "
        reset_log_level
        if [ "$?" != "0" ]; then
                log_msg "["
                log_error_msg "failed"
                log_msg "]"
                echo ""
        else
            log_msg "[  "
            log_msg_ok "OK"
            log_msg "  ]"
            echo ""
        fi

        ;;
    stop)
        ;;
    restart)
        ;;
esac

